Package org.springframework.context.aot

# Class ApplicationContextAotGenerator

java.lang.Object
org.springframework.context.aot.ApplicationContextAotGenerator

public class ApplicationContextAotGenerator extends Object
Process an `ApplicationContext` and its `BeanFactory` to generate code that represents the state of the bean factory, as well as the necessary hints that can be used at runtime in a constrained environment.

Since:
  6.0
Author:
  Stephane Nicoll, Phillip Webb

## Constructor Summary

Constructors
Constructor
Description
`ApplicationContextAotGenerator()`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.javapoet.ClassName`
`processAheadOfTime(GenericApplicationContext applicationContext, org.springframework.aot.generate.GenerationContext generationContext)`
Process the specified `GenericApplicationContext` ahead-of-time using the specified `GenerationContext`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ApplicationContextAotGenerator

public ApplicationContextAotGenerator()

## Method Details

### processAheadOfTime

public org.springframework.javapoet.ClassName processAheadOfTime(GenericApplicationContext applicationContext, org.springframework.aot.generate.GenerationContext generationContext)
Process the specified `GenericApplicationContext` ahead-of-time using the specified `GenerationContext`.

Return the `ClassName` of the `ApplicationContextInitializer` to use to restore an optimized state of the application context.

Parameters:
  `applicationContext` - the non-refreshed application context to process
  `generationContext` - the generation context to use
Returns:
  the `ClassName` of the `ApplicationContextInitializer` entry point